For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • PUTUpsert
      • DELDelete
      • PATCHUpdate
      • HEADExists
      • GETList Thumbnails
      • GETGet Thumbnail
        • GETList
        • POSTCreate
        • GETGet
        • PUTUpsert
        • DELDelete
        • PATCHUpdate
        • HEADExists
LogoLogo
Sign upLog in
API ReferenceDiagramsGroups

Create

POST
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/diagram-groups
POST
/v1/landscapes/:landscapeId/versions/:versionId/diagram-groups
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.diagrams.groups.create("landscapeId", "versionId", {
8 body: {
9 modelId: "string",
10 name: "string",
11 },
12 });
13}
14main();
1{
2 "diagramGroup": {
3 "commit": 1.1,
4 "index": 1.1,
5 "labels": {},
6 "modelId": "string",
7 "name": "string",
8 "handleId": "string",
9 "createdAt": "2024-01-15T09:30:00Z",
10 "createdBy": "user",
11 "createdById": "string",
12 "id": "string",
13 "landscapeId": "string",
14 "updatedAt": "2024-01-15T09:30:00Z",
15 "updatedBy": "user",
16 "updatedById": "string",
17 "version": 1.1,
18 "versionId": "string",
19 "deletedAt": "2024-01-15T09:30:00Z",
20 "deletedBy": "user",
21 "deletedById": "string",
22 "latestEntityId": "string"
23 }
24}
Was this page helpful?
Previous

Get

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired

Request

This endpoint expects an object.
modelIdstringRequired
namestringRequired
commitdoubleOptional
indexdoubleOptional
labelsmap from strings to stringsOptional
handleIdstringOptional

Response

OK
diagramGroupobject

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error